<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('order_items', function (Blueprint $table) {
            $table->unsignedBigInteger('print_stock_id')->nullable()->after('product_id');
            $table->foreign('print_stock_id')->references('id')->on('print_stocks')->onDelete('set null');
        });
    }

    public function down(): void
    {
        Schema::table('order_items', function (Blueprint $table) {
            $table->dropForeign(['print_stock_id']);
            $table->dropColumn('print_stock_id');
        });
    }
};
